Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.alerts.batch
Class BatchLocalFileAlertCodes

    java.lang.Object
      com.stc.connector.batchadapter.alerts.batch.BatchLocalFileAlertCodes

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.AlertCodeMap

    public class BatchLocalFileAlertCodes

extends java.lang.Object
implements com.stc.connector.management.jca.system.mbeans.AlertCodeMap

Field Summary
`static java.lang.String` | `BATCH_LOCALFILE_EWAY_CONFIG_FAILED` Batch LocalFile eWay configuration fail alert
`static java.lang.String` | `BATCH_LOCALFILE_EWAY_CONN_ACQUIRE_FAILED` Batch LocalFile eWay connection acquire failed alert
`static java.lang.String` | `BATCH_LOCALFILE_EWAY_CONN_INIT_FAILED` Batch LocalFile eWay connection init failed alert
`static java.lang.String` | `BATCH_LOCALFILE_EWAY_CONNECTION_FAILED` Batch LocalFile eWay connection fail alert
`static java.lang.String` | `BATCH_LOCALFILE_EWAY_ERROR` Batch LocalFile eWay error alert
`static java.lang.String` | `BATCH_LOCALFILE_EWAY_OPERATION_ERROR` Batch LocalFile eWay error alert
`static java.lang.String` | `BATCH_LOCALFILE_EWAY_RUNNING` Batch LocalFile eWay running status code.
`static java.lang.String` | `BATCH_LOCALFILE_EWAY_STARTED` Batch LocalFile eWay started status code.
`static java.lang.String` | `BATCH_LOCALFILE_EWAY_STOPPED` Batch LocalFile eWay stopped status code.
`static java.lang.String` | `BATCH_LOCALFILE_EWAY_STOPPING` Batch LocalFile eWay stopping status code.
`static java.lang.String` | `BATCH_LOCALFILE_EWAY_SUSPENDED` Batch LocalFile eWay suspended status code.
`static java.lang.String` | `BATCH_LOCALFILE_EWAY_SUSPENDING` Batch LocalFile eWay suspending status code.

Constructor Summary
`BatchLocalFileAlertCodes()`

Method Summary
`java.lang.String` | `getMapping(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BATCH_LOCALFILE_EWAY_STARTED

    public static final java.lang.String BATCH_LOCALFILE_EWAY_STARTED

  Batch LocalFile eWay started status code.

  See Also:
    Constant Field Values

### BATCH_LOCALFILE_EWAY_RUNNING

    public static final java.lang.String BATCH_LOCALFILE_EWAY_RUNNING

  Batch LocalFile eWay running status code.

  See Also:
    Constant Field Values

### BATCH_LOCALFILE_EWAY_STOPPING

    public static final java.lang.String BATCH_LOCALFILE_EWAY_STOPPING

  Batch LocalFile eWay stopping status code.

  See Also:
    Constant Field Values

### BATCH_LOCALFILE_EWAY_STOPPED

    public static final java.lang.String BATCH_LOCALFILE_EWAY_STOPPED

  Batch LocalFile eWay stopped status code.

  See Also:
    Constant Field Values

### BATCH_LOCALFILE_EWAY_SUSPENDING

    public static final java.lang.String BATCH_LOCALFILE_EWAY_SUSPENDING

  Batch LocalFile eWay suspending status code.

  See Also:
    Constant Field Values

### BATCH_LOCALFILE_EWAY_SUSPENDED

    public static final java.lang.String BATCH_LOCALFILE_EWAY_SUSPENDED

  Batch LocalFile eWay suspended status code.

  See Also:
    Constant Field Values

### BATCH_LOCALFILE_EWAY_CONN_INIT_FAILED

    public static final java.lang.String BATCH_LOCALFILE_EWAY_CONN_INIT_FAILED

  Batch LocalFile eWay connection init failed alert

  See Also:
    Constant Field Values

### BATCH_LOCALFILE_EWAY_CONN_ACQUIRE_FAILED

    public static final java.lang.String BATCH_LOCALFILE_EWAY_CONN_ACQUIRE_FAILED

  Batch LocalFile eWay connection acquire failed alert

  See Also:
    Constant Field Values

### BATCH_LOCALFILE_EWAY_CONFIG_FAILED

    public static final java.lang.String BATCH_LOCALFILE_EWAY_CONFIG_FAILED

  Batch LocalFile eWay configuration fail alert

  See Also:
    Constant Field Values

### BATCH_LOCALFILE_EWAY_CONNECTION_FAILED

    public static final java.lang.String BATCH_LOCALFILE_EWAY_CONNECTION_FAILED

  Batch LocalFile eWay connection fail alert

  See Also:
    Constant Field Values

### BATCH_LOCALFILE_EWAY_ERROR

    public static final java.lang.String BATCH_LOCALFILE_EWAY_ERROR

  Batch LocalFile eWay error alert

  See Also:
    Constant Field Values

### BATCH_LOCALFILE_EWAY_OPERATION_ERROR

    public static final java.lang.String BATCH_LOCALFILE_EWAY_OPERATION_ERROR

  Batch LocalFile eWay error alert

  See Also:
    Constant Field Values

Constructor Detail

### BatchLocalFileAlertCodes

    public BatchLocalFileAlertCodes()

Method Detail

### getMapping

    public java.lang.String getMapping(java.lang.String key)

  Specified by:
    `getMapping` in interface `com.stc.connector.management.jca.system.mbeans.AlertCodeMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD